get_vector_rotation_quat(3)

NAME
get_vector_rotation_quat - Constructs a quaternion to rotate points around a vector. Allegro game programming library.

SYNOPSIS
#include <allegro.h>

void get_vector_rotation_quat(QUAT *q, float x, y, z, float a);

DESCRIPTION
Constructs a quaternion that will rotate points around the specified x,y,z vector by the specified angle (given in binary, 256 degrees to a circle format).